Bug 45628 - ExtensionValidator doesn't handle wrapped lines in MANIFEST.MF
ExtensionValidator doesn't handle wrapped lines in MANIFEST.MF
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.5.26
PC Windows XP
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks: 56309
  Show dependency tree
 
Reported: 2008-08-13 12:47 UTC by Larry Hartsook
Modified: 2014-03-25 13:20 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Hartsook 2008-08-13 12:47:56 UTC
Deploying webapps that contain commons-attributes-api.jar or commons-attributes-compiler.jar (downloaded from the Maven repository) fail with a message from ExtensionValidator along the lines of 'Required extension "ant" not found'. 

This happens because the MANIFEST.MF file in these jars contain wrapped lines. Per the JAR spec, lines longer than 72 bytes have to wrap. These MANIFEST.MF files contain lines like:

ant-Implementation-URL: http://www.ibiblio.org/maven/ant/jars/ant-1.5.
 jar

which evidently cause ExtensionValidator to complain. If you edit the MANIFEST.MF files to eliminate the continuation line:

ant-Implementation-URL: http://www.ibiblio.org/maven/ant/jars/ant-1.5.jar

there are no errors.
Comment 1 Mark Thomas 2008-09-02 08:50:00 UTC
There is a bug but not the one describe above. There are also inconsistencies in extension names between the jars that mean, even with the bug fixed, these deps will never be satisfied.

The bug has been fixed in trunk here:
http://svn.apache.org/viewvc?rev=691282&view=rev

This patch has been proposed for 5.5.x and 6.0.x
Comment 2 Mark Thomas 2008-09-25 03:41:46 UTC
This has been fixed in 6.0.x and will be in 6.0.19 onwards.
Comment 3 Mark Thomas 2009-03-23 05:47:03 UTC
This has been fixed for 5.5.x and will be included in 5.5.28 onwards.